Core - Task # 57338

Epic # 55070 (Accepted): Workpackages
Epic # 55065 (New): WP: Overall System Performance (Backend and Frontend)
Epic # 55656 (Accepted): Optimize overall Extbase performance
Story # 55168 (Accepted): Optimize Extbase generic persistence
Task # 55167 (Resolved): Extbase: avoid parseQuery() / buildQuery() to be called multiple times
Subject: Make Typo3DbQueryParser Singleton

Description

Associated revisions

Revision fcf3a2{7 - 2014-04-01 21:24 - Marc Bastian Heinrichs

[BUGFIX] Make Typo3DbQueryParser a Singleton

Typo3DbQueryParser gets injected in Typo3DbBackend, thus
it has to be a Singleton.

Resolves: #57338

Releases: 6.2

Change-Id: 15b845ef280d23b6893d308bc9013ef965637a1ef
Reviewed-on: https://review.typo3.org/28843

Reviewed-by: Helmut Hummel

Tested-by: Helmut Hummel

History

#1 - 2014-03-26 15:54 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at https://review.typo3.org/28843

#2 - 2014-03-26 16:28 - Gerrit Code Review

Patch set 2 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at https://review.typo3.org/28843

#3 - 2014-04-01 21:18 - Gerrit Code Review
Patch set 1 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at https://review.typo3.0rg/29042

#4 - 2014-04-01 21:30 - Marc Bastian Heinrichs
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:fcf3a2f7e1bedc4b20c427195bc2c2cc22f44301.
